## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SybaseASABaseDatabaseLoader.ASABaseSchemaLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
              org.eclipse.datatools.enablement.sybase.asa.baseloaders.SybaseASABaseDatabaseLoader.ASABaseSchemaLoader

Enclosing class:
  SybaseASABaseDatabaseLoader

    public static class SybaseASABaseDatabaseLoader.ASABaseSchemaLoader

extends JDBCSchemaLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`COLUMN_TABLE_CATALOG, COLUMN_TABLE_SCHEM`

Constructor Summary
`SybaseASABaseDatabaseLoader.ASABaseSchemaLoader(ICatalogObject catalogObject)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`clearSchemas, loadSchemas, loadSchemas`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASABaseDatabaseLoader.ASABaseSchemaLoader

    public SybaseASABaseDatabaseLoader.ASABaseSchemaLoader(ICatalogObject catalogObject)